/*
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 */
package org.teiid.test.testcases;

import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.BeforeAll;
import org.teiid.test.framework.ConfigPropertyLoader;
import org.teiid.test.framework.TransactionContainer;
import org.teiid.test.framework.datasource.DataSourceMgr;

public abstract class BaseAbstractTransactionTestCase {
 
        
    protected abstract TransactionContainer getTransactionContainter();
    
    
    @BeforeAll
    public static void beforeAll() throws Exception {
	ConfigPropertyLoader.reset();
	ConfigPropertyLoader.getInstance();
    }

    @BeforeEach
    public void beforeEach() throws Exception {

    }

    @AfterEach
    public void afterEach() throws Exception {

    }
    
    protected void addProperty(String key, String value) {
	
	ConfigPropertyLoader.getInstance().setProperty(key, value);
	
    }
    
    @AfterAll
    public static void afterAll() {	
	DataSourceMgr.getInstance().shutdown();
    }
    
    


}
